searchNodes=[{"ref":"Justify.html","title":"Justify","type":"module","doc":"Justify is a data validation library for Elixir. The primary philosophy behind Justify is that it should be easy to validate data without schemas or types. All of Justify&#39;s validation functions will happily accept a plain ol&#39; map. iex&gt; %{email: &quot;madebyanthony&quot;} ...&gt; |&gt; Justify.validate_required(:email) ...&gt; |&gt; Justify.validate_format(:email, ~r/S+@S+/) %Justify.Dataset{errors: [email: {&quot;has invalid format&quot;, validation: :format}], valid?: false} Pretty simple. Not much more to it than that. Supported Validations validate_acceptance/3 validate_confirmation/3 validate_embed/3 validate_exclusion/4 validate_format/4 validate_inclusion/4 validate_length/3 validate_required/3"},{"ref":"Justify.html#add_error/4","title":"Justify.add_error/4","type":"function","doc":"Adds an error to the dataset. An optional keyword list can be used to provide additional contextual information about the error."},{"ref":"Justify.html#validate_acceptance/3","title":"Justify.validate_acceptance/3","type":"function","doc":"Validates the given field has a value of true. Options :message - error message, defaults to &quot;must be accepted&quot;"},{"ref":"Justify.html#validate_confirmation/3","title":"Justify.validate_confirmation/3","type":"function","doc":"Validates the value of a given field matches it&#39;s confirmation field. By default, the field will be checked against a field with the same name but appended with _confirmation. It’s possible to provide a custom field by providing a value to the :confirmation_field option. Note that if the confirmation field is nil or missing, by default, an error will not be added. You can specify that the confirmation field is required in the options (see below). Options :confirmation_field - name of the field to validate against :message - error message, defaults to &quot;does not match&quot; :required? - whether the confirmation field must contain a value"},{"ref":"Justify.html#validate_embed/3","title":"Justify.validate_embed/3","type":"function","doc":"Applies a validator function to a field containing an embedded value. An embedded value can be either a map or a list of maps. Example validator = fn(metadata) -&gt; Justify.validate_required(metadata, :key) end data = %{metadata: [%{value: &quot;a value&quot;}]} validate_embed(data, :metadata, validator) #&gt; %Justify.Dataset{errors: [metadata: [[key: {&quot;can&#39;t be blank&quot;, validation: :required}]]], valid?: false}"},{"ref":"Justify.html#validate_exclusion/4","title":"Justify.validate_exclusion/4","type":"function","doc":"Validates the value for the given field is not contained within the provided enumerable. Options :message - error message, defaults to &quot;is reserved&quot;"},{"ref":"Justify.html#validate_format/4","title":"Justify.validate_format/4","type":"function","doc":"Validates the value of the given field matches the provided format. Options :message - error message, defaults to &quot;has invalid format&quot;"},{"ref":"Justify.html#validate_inclusion/4","title":"Justify.validate_inclusion/4","type":"function","doc":"Validates the value for the given field is contained within the provided enumerable. Options :message - error message, defaults to &quot;is invalid&quot;"},{"ref":"Justify.html#validate_length/3","title":"Justify.validate_length/3","type":"function","doc":"Validates the length of a string or list. Options :count - how to calculate the length of a string. Must be one of :codepoints, :graphemes or :bytes. Defaults to :graphemes. :is - the exact length match :min - match a length greater than or equal to :max - match a length less than or equal to :message - error message, defaults to one of the following variants: for strings “should be %{count} character(s)” “should be at least %{count} character(s)” “should be at most %{count} character(s)” for binary “should be %{count} byte(s)” “should be at least %{count} byte(s)” “should be at most %{count} byte(s)” for lists “should have %{count} item(s)” “should have at least %{count} item(s)” “should have at most %{count} item(s)”"},{"ref":"Justify.html#validate_required/3","title":"Justify.validate_required/3","type":"function","doc":"Validates that one or more fields has a value. Options :message - error message, defaults to &quot;must be accepted&quot; :trim? - remove whitespace before validating, defaults to true"},{"ref":"Justify.Dataset.html","title":"Justify.Dataset","type":"module","doc":""},{"ref":"Justify.Dataset.html#new/1","title":"Justify.Dataset.new/1","type":"function","doc":""},{"ref":"Justify.Dataset.html#t:error_t/0","title":"Justify.Dataset.error_t/0","type":"type","doc":""},{"ref":"Justify.Dataset.html#t:t/0","title":"Justify.Dataset.t/0","type":"type","doc":""}]